Bug 106194 - Replace button in Find & Replace Dialog search for the next occurrence but does not scroll
Summary: Replace button in Find & Replace Dialog search for the next occurrence but do...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.6.2 release
Hardware: x86-64 (AMD64) All
: low minor
Assignee: Markus Mohrhard
QA Contact:
URL:
Whiteboard: target:5.4.0 target:5.3.3
Keywords: bibisectRequest, regression
Depends on:
Blocks:
 
Reported: 2017-02-25 23:19 UTC by centmillediables2-libreoffice
Modified: 2017-04-18 20:01 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
File for testing (8.32 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-03-14 12:08 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description centmillediables2-libreoffice 2017-02-25 23:19:05 UTC
Description:
The Replace button in Find & Replace Dialog selects the cell containing the next occurrence but does not scroll if this cell is outside the visible part of the sheet.

Actual Results:  
It does not scroll so I cannot see the cell containing the next occurrence.

Expected Results:
It should scroll automatically in order to make the cell containing the next occurrence visible.


Reproducible: Always

User Profile Reset: No

Additional Info:
Workaround : scrolling manually...


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:51.0) Gecko/20100101 Firefox/51.0
Comment 1 V Stuart Foote 2017-02-25 23:58:20 UTC
Can not confirm on Windows 10 Pro 64-bit en-US with
Version: 5.3.0.3 (x64)
Build ID: 7074905676c47b82bbcfbea1aeefc84afe1c50e1
CPU Threads: 8; OS Version: Windows 6.19; UI Render: default; Layout Engine: new; 
Locale: en-US (en_US); Calc: group


The Find Next/Previous will scroll view of the document canvas to the occurrence where the match is found selecting the cell.

 
Needinfo:

Please copy/paste details from the Help -> About LibreOffice panel

But we also need to know the Linux provider/build, and the desktop environment (DE) you are working with.
Comment 2 centmillediables2-libreoffice 2017-02-26 21:25:10 UTC
Version: 5.1.6.2
Build ID: 1:5.1.6~rc2-0ubuntu1~xenial1
Threads CPU : 2; Version de l'OS :Linux 4.4; UI Render : par défaut; 
Locale : fr-FR (fr_FR.UTF-8); Calc: group
Comment 3 centmillediables2-libreoffice 2017-02-26 21:35:08 UTC
cmdb@cmdb:~$ wmctrl -m
Name: Compiz
Class: N/A
PID: N/A
Window manager's "showing the desktop" mode: OFF
cmbd@cmdb:~$ cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=16.04
DISTRIB_CODENAME=xenial
DISTRIB_DESCRIPTION="Ubuntu 16.04.2 LTS"
cmdb@cmdb:~$ cat /proc/version
Linux version 4.4.0-64-generic (buildd@lgw01-56) (gcc version 5.4.0 20160609 (Ubuntu 5.4.0-6ubuntu1~16.04.4) ) #85-Ubuntu SMP Mon Feb 20 11:50:30 UTC 2017
Comment 4 Buovjaga 2017-03-04 18:06:43 UTC
Please try with version 5.3.

Set to NEEDINFO.
Change back to UNCONFIRMED, if the problem persists. Change to RESOLVED WORKSFORME, if the problem went away.
Comment 5 centmillediables2-libreoffice 2017-03-13 11:02:04 UTC
Here is the way you can always reproduce (with 5.3 too) :
Open Calc, new Sheet.
In cells A1 to A9, put 1.
In cell A10, put 2.
In cells A11 to A19, put 1.
In cell A20, put 2.
In cells A21 to A29, put 1.
In cell A30, put 2.
In cells A31 to A39, put 1.
In cell A40, put 2.
In cells A41 to A49, put 1.
In cell A50, put 2.
Select cell A1. Note that the visible part goes from row 1 to row 43 on my screen (rows 44 to 50 are not visible).
Press Ctrl-H.
In "Search" textbox, put 2.
In "Replace by" textbox, put 1.
Press "Find next" (THIS STEP IS IMPORTANT).
Press "Replace" 4 times exactly.
And here we go: it does not scroll though the selected cell is A50 (outside of the visible part).

As you suggested, I reproduced on Windows with version 5.3 too:
Version: 5.3.0.3
Build ID: 7074905676c47b82bbcfbea1aeefc84afe1c50e1
Threads CPU : 4; Version de l'OS :Windows 6.1; UI Render : par défaut; Moteur de mise en page : nouveau; 
Locale : fr-FR (fr_FR); Calc: group
Comment 6 Buovjaga 2017-03-14 12:08:46 UTC
Created attachment 131877 [details]
File for testing

I reproduce.

Win 7 Pro 64-bit Version: 5.4.0.0.alpha0+
Build ID: eb7b03b052ffe8c2c577b2349987653db6c53f76
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2017-02-26_22:34:18
Locale: fi-FI (fi_FI); Calc: CL
Comment 7 Buovjaga 2017-03-14 12:18:37 UTC
It scrolls in 3.5.

Already broken in 4.1.6.2
Comment 8 Commit Notification 2017-04-08 21:25:15 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dbc616c0021b86e6365930ba581818fea280d1a8

actually show the newly selected cell, tdf#106194

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2017-04-09 02:31:59 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0bc1e8104719b1ed9f8271f9dde407f10fb88df0

add test for tdf#106194

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2017-04-18 20:01:42 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7c1314bb1e63f9c3460175a8ee30422ebf3c4d37&h=libreoffice-5-3

actually show the newly selected cell, tdf#106194

It will be available in 5.3.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.